package com.qy.worksheetsystem.shiro;

import org.apache.shiro.authc.AuthenticationToken;

/**
 * @author he
 * @date 2022/2/28
 * @description  对token进行扩展
 */
public class JWTToken implements AuthenticationToken {
    private String token;

    public JWTToken(String token) {
        this.token = token;
    }

    @Override
    public Object getPrincipal() {
        return token;
    }

    @Override
    public Object getCredentials() {
        return token;
    }
}